Warehouse
Get warehouse
Returns the platform and the settings of the current workspace's warehouse.
Request
No parameters.Response
-
platform
stringThe data warehouse platform. By default, Krenalis includes PostgreSQL and Snowflake.
-
settings
object with json valuesThe settings of the data warehouse.
-
mcpSettings
nullable object with json valuesThe read-only settings of the data warehouse that are used for accessing it from the MCP (Model Context Protocol) server.
When
null, it means that the MCP server settings aren't configured, so the MCP tools cannot be used for this workspace.
curl https://example.com/v1/warehouse \ -H "Authorization: Bearer api_xxxxxxx" {
"platform": "Snowflake",
"settings": {
"Username": "ingest_user",
"Password": "T7v@pL92#kmQ",
"Account": "acme-eu-west-12345",
"Warehouse": "INGEST_WH",
"Database": "ANALYTICS",
"Schema": "EVENTS",
"Role": "INGEST_ROLE"
},
"mcpSettings": null
}Update warehouse
Updates the warehouse of the current workspace.
Request
-
settings
object with json values RequiredThe settings of the data warehouse.
PostgreSQL
-
host
string Required : Hostname or IP address of the server. -
port
int Required : Port number. -
username
string Required : Username. -
password
string : Password. -
database
string Required : Name of the database. -
schema
string Required : Name of the schema within the database.
Snowflake
-
account
string Required : Account identifier. -
username
string Required : Username. -
password
string Required : Password. -
role
string Required : Role that will be used for accessing the data. -
database
string Required : Name of the database. -
schema
string Required : Name of the schema within the database. -
warehouse
string Required : Name of the virtual warehouse.
-
-
mcpSettings
nullable object with json valuesThe settings of the data warehouse that are used for accessing it from the MCP (Model Context Protocol) server.
See the
settingsparameter for the accepted fields.When provided, these settings must refer to a read-only access to the data warehouse; this is a security requirement to prevent the MCP client from performing destructive operations on the warehouse data by mistake.
If not passed or null, the MCP server settings aren't configured, preventing the use of MCP tools for this workspace.
-
mode
stringThe mode of the data warehouse. If not specified, the default is
Possible values:"Normal"."Normal","Inspection"or"Maintenance". -
cancelIncompatibleOperations
booleanIndicates whether operations currently running on the warehouse that are incompatible with the passed
modemust be canceled.
Response
No response.curl -X PUT https://example.com/v1/warehouse \ -H "Authorization: Bearer api_xxxxxxx" \ --json '{ "settings": { "account": "ABCDEFG-TUVWXYZ", "username": "USERNAME", "password": "password", "role": "CUSTOM_ROLE", "database": "MY_DATABASE", "schema": "PUBLIC", "warehouse": "COMPUTE_WH" }, "mcpSettings": null, "mode": "Normal" }' Test warehouse update
Tests the update of the warehouse of the current workspace.
If the settings are incorrect or the warehouse can't be accessed with the given settings, an error will be returned. If no error occurs, the settings are valid.
Request
-
settings
object with json values RequiredThe settings of the data warehouse.
-
mcpSettings
nullable object with json valuesThe settings of the data warehouse that are used for accessing it from the MCP (Model Context Protocol) server.
See the
settingsparameter for the accepted fields.When provided, these settings must refer to a read-only access to the data warehouse; this is a security requirement to prevent the MCP client from performing destructive operations on the warehouse data by mistake.
If not passed or null, the MCP server settings aren't configured, preventing the use of MCP tools for this workspace.
Response
No response.curl -X PUT https://example.com/v1/warehouse/test \ -H "Authorization: Bearer api_xxxxxxx" \ --json '{ "settings": { "Username": "ingest_user", "Password": "T7v@pL92#kmQ", "Account": "acme-eu-west-12345", "Warehouse": "INGEST_WH", "Database": "ANALYTICS", "Schema": "EVENTS", "Role": "INGEST_ROLE" }, "mcpSettings": null }' Update warehouse mode
Updates the mode of the current workspace's data warehouse.
Request
-
mode
stringThe mode of the data warehouse. If not specified, the default is
Possible values:"Normal"."Normal","Inspection"or"Maintenance". -
cancelIncompatibleOperations
booleanIndicates whether operations currently running on the warehouse that are incompatible with the passed
modemust be canceled.
Response
No response.curl -X PUT https://example.com/v1/warehouse/mode \ -H "Authorization: Bearer api_xxxxxxx" \ --json '{ "mode": "Normal" }' Repair warehouse
Repairs the current workspace's warehouse.
This endpoint can be called when neither identity resolution nor alter schema operations are running on the data warehouse.
Request
No parameters.Response
No response.curl -X POST https://example.com/v1/warehouse/repair \ -H "Authorization: Bearer api_xxxxxxx" List warehouse platforms
Returns a list of warehouse platforms that can be used for a workspace warehouse.
Request
No parameters.Response
-
platforms
array of object-
name
stringThe name of the warehouse platform
-
curl https://example.com/v1/warehouse/platforms \ -H "Authorization: Bearer api_xxxxxxx" {
"platforms": [
{
"name": "PostgreSQL"
},
{
"name": "Snowflake"
}
]
}